summaryrefslogtreecommitdiffstats
path: root/charts.d
diff options
context:
space:
mode:
authorCosta Tsaousis (ktsaou) <costa@tsaousis.gr>2016-07-14 21:10:37 +0300
committerCosta Tsaousis (ktsaou) <costa@tsaousis.gr>2016-07-14 21:10:37 +0300
commit4383a5013c0c6b82a73f12a298d367f3a654aac6 (patch)
treecb22cb5b29f3e275ffa7d33959f8af4ab2945bc5 /charts.d
parent25c6fb7dc7876382ca370dc845e7eb14eff9a020 (diff)
fail to find command iw the proper way
Diffstat (limited to 'charts.d')
-rwxr-xr-xcharts.d/ap.chart.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/charts.d/ap.chart.sh b/charts.d/ap.chart.sh
index aed51c1b67..ebd4808e53 100755
--- a/charts.d/ap.chart.sh
+++ b/charts.d/ap.chart.sh
@@ -11,6 +11,8 @@ export PATH="${PATH}:/sbin:/usr/sbin:/usr/local/sbin"
# _check is called once, to find out if this chart should be enabled or not
ap_check() {
+ require_cmd iw || return 1
+
local ev=$(iw dev | awk '
BEGIN {
i = "";